local modpath = core.get_modpath(core.get_current_modname())

PyuTest.make_item("pyutest_magic:magic_shards", "Enchanted Fragments", {}, "pyutest-magic-shards.png")

PyuTest.make_item("pyutest_magic:enchanted_shard", "Enchanted Shard", {}, "pyutest-shard.png", {
	color = "indigo",
})

core.register_craft({
	output = "pyutest_magic:enchanted_shard 2",
	recipe = {
		{ "pyutest_magic:magic_shards", "pyutest_magic:magic_shards", "pyutest_magic:magic_shards" },
		{ "pyutest_magic:magic_shards", "pyutest_ores:diamond_shard", "pyutest_magic:magic_shards" },
		{ "pyutest_magic:magic_shards", "pyutest_magic:magic_shards", "pyutest_magic:magic_shards" }
	}
})

dofile(modpath .. "/mana.lua")
dofile(modpath .. "/tools.lua")
dofile(modpath .. "/wands.lua")
dofile(modpath .. "/spellbooks.lua")
